<?php

namespace Ecoyn\Setup\Steps\BasicData;

use QUI;

/**
 * Class Welcome
 */
class Bank extends QUI\InstallationWizard\AbstractInstallationWizardStep
{
    public function __construct($attributes = [])
    {
        parent::__construct($attributes);
        $this->addCSSFile(dirname(__FILE__) . '/Bank.css');
    }

    /**
     * @param null $Locale
     * @return string
     */
    public function getTitle($Locale = null): string
    {
        if ($Locale === null) {
            $Locale = QUI::getLocale();
        }

        return $Locale->get('ecoyn/core', 'setup.data.bank.title');
    }

    /**
     * @param null $Locale
     * @return string
     */
    public function getDescription($Locale = null): string
    {
        if ($Locale === null) {
            $Locale = QUI::getLocale();
        }

        return $Locale->get('ecoyn/core', 'setup.data.bank.description');
    }

    /**
     * @return string
     */
    public function create(): string
    {
        try {
            $Engine = QUI::getTemplateManager()->getEngine();
        } catch (QUI\Exception $Exception) {
            return '';
        }

        $Config = QUI::getPackage('quiqqer/erp')->getConfig();

        $Engine->assign([
            'urlImageDir'      => URL_OPT_DIR . 'ecoyn/core/bin/setup/',
            'company_name'     => $Config->get('company', 'name'),
            'company_bankBic'  => $Config->get('company', 'bankBic'),
            'company_bankIban' => $Config->get('company', 'bankIban'),
        ]);

        return $Engine->fetch(dirname(__FILE__) . '/Bank.html');
    }
}
