<?php

namespace Ecoyn\Setup\Steps\BasicData;

use QUI;

/**
 * Class Welcome
 */
class CompanyData extends QUI\InstallationWizard\AbstractInstallationWizardStep
{
    public function __construct($attributes = [])
    {
        parent::__construct($attributes);
        $this->addCSSFile(dirname(__FILE__) . '/CompanyData.css');
    }

    /**
     * @param null $Locale
     * @return string
     */
    public function getTitle($Locale = null): string
    {
        if ($Locale === null) {
            $Locale = QUI::getLocale();
        }

        return $Locale->get('ecoyn/core', 'setup.data.company.title');
    }

    /**
     * @param null $Locale
     * @return string
     */
    public function getDescription($Locale = null): string
    {
        if ($Locale === null) {
            $Locale = QUI::getLocale();
        }

        return $Locale->get('ecoyn/core', 'setup.data.company.description');
    }

    /**
     * @return string
     */
    public function create(): string
    {
        try {
            $Engine = QUI::getTemplateManager()->getEngine();
        } catch (QUI\Exception $Exception) {
            return '';
        }

        $Config = QUI::getPackage('quiqqer/erp')->getConfig();

        $Engine->assign([
            'urlImageDir'       => URL_OPT_DIR . 'ecoyn/core/bin/setup/',
            'company_name'      => $Config->get('company', 'name'),
            'company_owner'     => $Config->get('company', 'owner'),
            'company_street'    => $Config->get('company', 'street'),
            'company_zipCode'   => $Config->get('company', 'zipCode'),
            'company_city'      => $Config->get('company', 'city'),
            'company_country'   => $Config->get('company', 'country'),
            'company_phone'     => $Config->get('company', 'phone'),
            'company_fax'       => $Config->get('company', 'fax'),
            'company_email'     => $Config->get('company', 'email'),
            'company_web'       => $Config->get('company', 'web'),
            'company_taxId'     => $Config->get('company', 'taxId'),
            'company_taxNumber' => $Config->get('company', 'taxNumber'),
            'company_register'  => $Config->get('company', 'register'),
            'company_court'     => $Config->get('company', 'court'),
        ]);

        return $Engine->fetch(dirname(__FILE__) . '/CompanyData.html');
    }
}
